Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Class StateMachine.Transition

    java.lang.Object
      org.biojava.bio.program.tagvalue.StateMachine.Transition

Enclosing class:
  StateMachine

    public class StateMachine.Transition

extends Object

class to represent a State Transition

Field Summary
`StateMachine.State` | `destination` the terminus of this Transition
`boolean` | `notifyOnExit` should the State listener be notified that this transition is leaving the state.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destination

    public StateMachine.State destination

  the terminus of this Transition

### notifyOnExit

    public boolean notifyOnExit

  should the State listener be notified that this transition is leaving the state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD